#ifndef countdown_h
#define countdown_h

#include <WConstants.h>

// Die Beleuchtung des LCD nach einer Minute ohne Tastendruck abschalten
#define COUNTDOWN_LCD_BELEUCHTUNG    0

// Das Menue nach einer Minute ohne Tastendruck sperren (damit nicht 
// jemand "Fremdes" dort aendern kann, wenn man nicht dauerhaft vor der Glotze bleibt)
#define COUNTDOWN_MENUE_OFFEN        1

// Maximal 10 Sekunden auf das naechste Zeichen bei der Codeeingabe warten - danach
// zurueck ins Hauptmenue (weil die Taste wahrscheinlich als Programmwechsel fuer's TV gedacht war)
#define COUNTDOWN_CODEEINGABE_OFFEN  2

// Die Taste Power ON/OFF in der ersten Minute nach Einschalten sperren (wenn 
// TV eingeschaltet wird, soll nicht gleich ein Logoff erfolgen)
#define COUNTDOWN_POWER_ONOFF_SPERRE 3
#define ANZAHL_COUNTDOWNS 4

class GRcountdown {
public:
	void StartOderRetrigger(byte akt_sekunden, byte nummer, byte anz_sekunden);
	void Bearbeiten(byte akt_sekunden);
        void Stop(byte nummer);
	byte Laeuft(byte nummer);

private:
	byte countdown[ANZAHL_COUNTDOWNS];
	byte countdown_laeuft[ANZAHL_COUNTDOWNS];
};

#endif

