#ifndef remoteControlMessung_h
#define remoteControlMessung_h

struct FB_parameter_t {
  unsigned int  isr_laengeNullBit;
  unsigned char isr_flanke;
  unsigned int  isr_prefix;
  unsigned char isr_prefix_bits;
  unsigned char isr_startbit;
  unsigned char isr_stopbit;
};
extern FB_parameter_t FB_parameter;
extern volatile unsigned char zeichenVerfuegbar_g;
extern volatile unsigned char isr_ist_aktiv_g;
extern unsigned char verfuegbaresZeichenHatMainloopDurchlaufen_g;

extern unsigned int aktuelle_Tastengruppe_g;
extern unsigned char aktuelle_Taste_g;

#define ANZAHL_TASTEN 21
static char tastennamen[ANZAHL_TASTEN+1][14]= { "Ziffer 0", "Ziffer 1", "Ziffer 2", "Ziffer 3", 
                          "Ziffer 4", "Ziffer 5", "Ziffer 6", "Ziffer 7", "Ziffer 8", "Ziffer 9",
                          "Ein/Aus", "Cursor-links", "Cursor-rechts", "Cursor-hoch", 
                          "Cursor-runter", "Menue", "Auswahl/Enter", "Abbruch", "Wert-hoch", 
                          "Wert-runter", "Schlummer", "unbekannt" };
extern unsigned int tastenfunktion[ANZAHL_TASTEN];

void Fernbedienung_isr(void);
void FernbedienungInit(void);
unsigned char FernbedienungVermessen(void);

unsigned int warteAufTaste(void);
void TastencodesZuweisen(void);
unsigned char tastenIndex(unsigned int t);
unsigned char legalesZeichenVerfuegbar(unsigned int aktive_tasten);

#endif

